%define	major 0
%define libname %mklibname resample %{major}
%define develname %mklibname resample -d

Summary:	A real-time library for sampling rate conversion
Name:		libresample
Version:	0.1.3
Release:	%mkrel 17
License:	LGPL
Group:		System/Libraries
URL:		http://www-ccrma.stanford.edu/~jos/resample/Available_Software.html
Source0:	http://ccrma.stanford.edu/~jos/resample/%{name}-%{version}.tgz
Patch0:		libresample-shared.diff
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	libtool

%description
libresample is a real-time library for sampling rate conversion.

%package	tools
Summary:	Various tools using the libresample library
Group:          Sound/Utilities

%description	tools
libresample is a real-time library for sampling rate conversion.

This package contains various tools that uses the libresample library.

 * compareresample
 * resample-sndfile
 * testresample

%package -n	%{libname}
Summary:	A real-time library for sampling rate conversion
Group:          System/Libraries

%description -n	%{libname}
libresample is a real-time library for sampling rate conversion.

%package -n	%{develname}
Summary:	Static library and header files for the libevent library
Group:		Development/C
Provides:	resample-devel = %{version}-%{release}
Provides:	libresample-devel = %{version}-%{release}
Requires:	%{libname} = %{version}

%description -n	%{develname}
libresample is a real-time library for sampling rate conversion.

This package contains the static libresample library and its header files.

%prep

%setup -q
%autopatch -p0

%build
export CFLAGS="%{optflags} -fPIC"
%configure --disable-static
%make

%install
%make_install

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%files tools
%{_bindir}/compareresample
%{_bindir}/resample-sndfile
%{_bindir}/testresample

%files -n %{libname}
%doc LICENSE.txt README.txt
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.1.3-17.mga8
+ Revision: 1514396
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.3-16.mga7
+ Revision: 1299128
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.1.3-15.mga6
+ Revision: 955728
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-14.mga5
+ Revision: 749666
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-13.mga5
+ Revision: 681760
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.3-12.mga4
+ Revision: 507363
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.3-11.mga3
+ Revision: 358109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 fwang <fwang> 0.1.3-10.mga3
+ Revision: 305863
- lock libmajor

* Thu Jan 20 2011 ahmad <ahmad> 0.1.3-10.mga1
+ Revision: 26512
- don't ship .a, .la
- drop old/unneeded scriptlets
- imported package libresample


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-9mdv2011.0
+ Revision: 602603
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-8mdv2010.1
+ Revision: 520901
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.1.3-7mdv2010.0
+ Revision: 425697
- rebuild

* Sat Dec 27 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-6mdv2009.1
+ Revision: 320062
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.1.3-5mdv2009.0
+ Revision: 222973
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-4mdv2008.1
+ Revision: 178935
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-2mdv2008.0
+ Revision: 58162
- rename the subpackage containing binaries

* Thu Aug 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-1mdv2008.0
+ Revision: 58111
- fix one missing build deps
- try another trick to make it build
- de-activating parts of this package to make it pass the friggin bs
- fix build (#1)
- Import libresample



* Wed Aug 01 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1.3-1mdv2008.0
- initial mandriva package
